ho aggiornato dalla 13.2 e ora i repository sono disallineati

11 risposte [Ultimo messaggio]
Ritratto di doclight
doclight
(Junior)
Offline
Junior
Iscritto: 28/09/2017
Messaggi: 6

Buona sera a tutti,

sono nuovo con opensuse. Avevo installato la 13.2 e mi trovavo benissimo. Poi un giorno a seguito dell'ennesimo zypper up, mi sono ritrovato con la 42.2. Ora, quando do il comando zypper up, mi viene restituito il messaggio che segue:

File '/repodata/repomd.xml' not found on medium 'http://download.opensuse.org/update/13.2/'

cosa devo fare per risolvere?

grazie

Ritratto di dragoncello
dragoncello
(Collaboratore)
Offline
Collaboratore
Iscritto: 16/07/2005
Messaggi: 2687

Ciao entra in yast repository e cancelli:http://download.opensuse.org/update/13.2/'
ciao

SUSE Tumbleweed- kernel-4.16-0.1- kde-plasma-5.12.4- Intel Core i7 Asus P9x79 pro GeForce GTX 560-driver Nvidia-390.42- SSD samsung 850 pro 512 gb http://opensuse-community.org/

Ritratto di doclight
doclight
(Junior)
Offline
Junior
Iscritto: 28/09/2017
Messaggi: 6

mi restituisce "internal error"

Ritratto di dragoncello
dragoncello
(Collaboratore)
Offline
Collaboratore
Iscritto: 16/07/2005
Messaggi: 2687

Non entri in yast?

SUSE Tumbleweed- kernel-4.16-0.1- kde-plasma-5.12.4- Intel Core i7 Asus P9x79 pro GeForce GTX 560-driver Nvidia-390.42- SSD samsung 850 pro 512 gb http://opensuse-community.org/

Ritratto di doclight
doclight
(Junior)
Offline
Junior
Iscritto: 28/09/2017
Messaggi: 6

no, mi dà errore quando si avvia. Si può fare da terminale?

Ritratto di dragoncello
dragoncello
(Collaboratore)
Offline
Collaboratore
Iscritto: 16/07/2005
Messaggi: 2687

# zypper mr -d posizione del repository
oppure dai da shell come root
zypper ref
vedi quello che ti crea problemi e lo elimini

SUSE Tumbleweed- kernel-4.16-0.1- kde-plasma-5.12.4- Intel Core i7 Asus P9x79 pro GeForce GTX 560-driver Nvidia-390.42- SSD samsung 850 pro 512 gb http://opensuse-community.org/

Ritratto di doclight
doclight
(Junior)
Offline
Junior
Iscritto: 28/09/2017
Messaggi: 6

Grazie, con zyppe ref funziona. Ora quando do zypper up, mi mostra 127 pacchetti che non saranno aggiornati. Come mai?

Ritratto di dragoncello
dragoncello
(Collaboratore)
Offline
Collaboratore
Iscritto: 16/07/2005
Messaggi: 2687

zypper dup
aggiorna da yast con cambio fornitore spuntato nelle opzioni.

SUSE Tumbleweed- kernel-4.16-0.1- kde-plasma-5.12.4- Intel Core i7 Asus P9x79 pro GeForce GTX 560-driver Nvidia-390.42- SSD samsung 850 pro 512 gb http://opensuse-community.org/

Ritratto di CarloCC
CarloCC
(Geek)
Offline
Geek
Iscritto: 06/04/2017
Messaggi: 197

Credo che in Leap il metodo corretto di aggiornamento sia zypper up, utilizza questo comando per aggiornare, zypper dup invece è il metodo per aggiornare Tumbleweed.

Acer Aspire E1-522 Amd Quad-Core E2-3800--Amd Radeon 8280
Acer Aspire M5500 Intel Quad-Core - Amd Radeon R5 230
Distribuzione OpenSuse Leap 42.3 Kde Plasma5 - Tumbleweed

Ritratto di dragoncello
dragoncello
(Collaboratore)
Offline
Collaboratore
Iscritto: 16/07/2005
Messaggi: 2687

CarloCC ha scritto:

Credo che in Leap il metodo corretto di aggiornamento sia zypper up, utilizza questo comando per aggiornare, zypper dup invece è il metodo per aggiornare Tumbleweed.

questo è il medoto per aggiornare un sistema Tumbleweed con.

zypper dup --no-allow-vendor-change

SUSE Tumbleweed- kernel-4.16-0.1- kde-plasma-5.12.4- Intel Core i7 Asus P9x79 pro GeForce GTX 560-driver Nvidia-390.42- SSD samsung 850 pro 512 gb http://opensuse-community.org/

Ritratto di CarloCC
CarloCC
(Geek)
Offline
Geek
Iscritto: 06/04/2017
Messaggi: 197

Non è più necessario --no-allow-vendor-change in quanto le ultime versioni di zypper in Tumbleweed non permettono più il cambio fornitore con dup in quanto --no-allow-vendor è ora incorporato nel comando zypper dup di default.
https://lists.opensuse.org/opensuse-factory/2017-07/msg00172.html

Acer Aspire E1-522 Amd Quad-Core E2-3800--Amd Radeon 8280
Acer Aspire M5500 Intel Quad-Core - Amd Radeon R5 230
Distribuzione OpenSuse Leap 42.3 Kde Plasma5 - Tumbleweed